Groovy Documentation

## groovy.inspect.swingui
[Groovy] Class SwingTreeNodeMaker

    java.lang.Object
      groovy.inspect.swingui.SwingTreeNodeMaker

All Implemented Interfaces:
  AstBrowserNodeMaker

    class SwingTreeNodeMaker

Creates tree nodes for swing UI

Authors:
  Roshan Dawrani

Method Summary
`javax.swing.tree.DefaultMutableTreeNode` | `makeNode(java.lang.Object userObject)`
`javax.swing.tree.DefaultMutableTreeNode` | `makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### makeNode

    javax.swing.tree.DefaultMutableTreeNode makeNode(java.lang.Object userObject)

### makeNodeWithProperties

    javax.swing.tree.DefaultMutableTreeNode makeNodeWithProperties(java.lang.Object userObject, java.util.List properties)

Groovy Documentation